Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.acegisecurity.acl.basic.jdbc
Class JdbcExtendedDaoImpl.AclObjectIdentityDelete

    java.lang.Object
      org.springframework.jdbc.object.RdbmsOperation
          org.springframework.jdbc.object.SqlOperation
              org.springframework.jdbc.object.SqlUpdate
                  org.acegisecurity.acl.basic.jdbc.JdbcExtendedDaoImpl.AclObjectIdentityDelete

All Implemented Interfaces:
  InitializingBean

Enclosing class:
  JdbcExtendedDaoImpl

    protected class JdbcExtendedDaoImpl.AclObjectIdentityDelete

extends SqlUpdate

Field Summary

Fields inherited from class org.springframework.jdbc.object.RdbmsOperation
`logger`

Constructor Summary
`protected` | `JdbcExtendedDaoImpl.AclObjectIdentityDelete(DataSource ds)`

Method Summary
`protected void` | `delete(Long aclObjectIdentity)`

Methods inherited from class org.springframework.jdbc.object.SqlUpdate
`checkRowsAffected, setMaxRowsAffected, setRequiredRowsAffected, update, update, update, update, update, update, update, update, update`

Methods inherited from class org.springframework.jdbc.object.SqlOperation
`compileInternal, newPreparedStatementCreator, newPreparedStatementSetter, onCompileInternal`

Methods inherited from class org.springframework.jdbc.object.RdbmsOperation
`afterPropertiesSet, compile, declareParameter, getDeclaredParameters, getGeneratedKeysColumnNames, getJdbcTemplate, getResultSetType, getSql, isCompiled, isReturnGeneratedKeys, isUpdatableResults, setDataSource, setFetchSize, setGeneratedKeysColumnNames, setJdbcTemplate, setMaxRows, setResultSetType, setReturnGeneratedKeys, setSql, setTypes, setUpdatableResults, supportsLobParameters, validateParameters`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JdbcExtendedDaoImpl.AclObjectIdentityDelete

    protected JdbcExtendedDaoImpl.AclObjectIdentityDelete(DataSource ds)

Method Detail

### delete

    protected void delete(Long aclObjectIdentity)
                   throws DataAccessException

  Throws:
    `DataAccessException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2005 Acegi Technology Pty Limited. All Rights Reserved.